Несколько уязвимостей в MaxDB

Дата публикации:
11.03.2008
Дата изменения:
07.04.2008
Всего просмотров:
1035
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0306
CVE-2008-0307
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MaxDB 7.x
Уязвимые версии: MaxDB 7.6.0.37, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют локальному пользователю повысить свои привилегии на системе и удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки знаковых переменных в компоненте "vserver". Удаленный пользователь может отправить специально сформированный пакет на порт приложения 7210/TCP, вызвать повреждение динамической памяти и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости злоумышленник должен знать имя локальной базы данных.

2. Уязвимость существует из-за ошибки в приложении "sdbstarter" при обработке переменных окружения. Локальный пользователь, член группы "sdba", может повысить свои привилегии на системе.

URL производителя: www.mysql.com/products/maxdb/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


07.04.2008
Изменена секция "Решение".

Ссылки: iDefense Security Advisory 03.10.08: SAP MaxDB sdbstarter Privilege Escalation Vulnerability
iDefense Security Advisory 03.10.08: SAP MaxDB Signedness Error Heap Corruption Vulnerability

или введите имя

CAPTCHA